%define pkg_name        Cache-FastMemoryCache
%define pkg_version     0.01
%define rpm_pkg_version 0.01
%define rpm_pkg_release 3.n0i.7

Summary:       In-memory cache plugin for Cache::Cache
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MI/MILLAWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Cache::Cache)}
%{!?_without_test:BuildRequires: perl(Cache::MemoryCache)}


%description
Cache::FastMemoryCache is an in-memory cache, implemented as an extension to
the excellent Cache::Cache suite. All cached items are stored per-process. The
cache does not persist after the process dies. It is the fastest of all the
Cache::* types because it does not perform deep copying of data.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.01-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.01-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.01-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Tue Sep 30 2003 Marius FERARU <altblue@n0i.net> 0.01-0.n0i
- version 0.01
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
